IcedTea-Web Plugin

## netscape.javascript
Interface JSProxy

    public interface JSProxy

Method Summary
`java.lang.Object` `call(JSObject jso, java.lang.String methodName, java.lang.Object[] args)`
`java.lang.Object` `eval(JSObject jso, java.lang.String s)`
`java.lang.Object` `getMember(JSObject jso, java.lang.String name)`
`java.lang.Object` `getSlot(JSObject jso, int index)`
`JSObject` `getWindow(java.applet.Applet applet)`
`void` `removeMember(JSObject jso, java.lang.String name)`
`void` `setMember(JSObject jso, java.lang.String name, java.lang.Object value)`
`void` `setSlot(JSObject jso, int index, java.lang.Object value)`
`java.lang.String` `toString(JSObject jso)`

Method Detail

### getMember

    java.lang.Object getMember(JSObject jso,
                               java.lang.String name)

### getSlot

    java.lang.Object getSlot(JSObject jso,
                             int index)

### setMember

    void setMember(JSObject jso,
                   java.lang.String name,
                   java.lang.Object value)

### setSlot

    void setSlot(JSObject jso,
                 int index,
                 java.lang.Object value)

### removeMember

    void removeMember(JSObject jso,
                      java.lang.String name)

### call

    java.lang.Object call(JSObject jso,
                          java.lang.String methodName,
                          java.lang.Object[] args)

### eval

    java.lang.Object eval(JSObject jso,
                          java.lang.String s)

### toString

    java.lang.String toString(JSObject jso)

### getWindow

    JSObject getWindow(java.applet.Applet applet)

IcedTea-Web Plugin

Submit a bug or feature